//Created by Tom 'Shallow[BAP]' Waters for TM4_SHALLOW
//Any similarity to BAP3DM2 shaders is purely coincidental ;)
//Some scripts are modified id shaders

//The sky shader
textures/tm4_shallow/tm4sky01
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 0.98 0.80 30 240 70
	q3map_surfacelight 70
	q3map_lightimage textures/tm4_shallow/skylurid.tga
	qer_editorimage textures/tm4_shallow/skylurid.tga

	skyparms - 512 -
	{
		map textures/tm4_shallow/skylurid.tga
		tcMod scale 2 2
		tcMod scroll 0.02 0.02
		depthWrite
	}
	{
		map textures/tm4_shallow/skyclouds.tga
		tcMod scale 3 3
		tcMod scroll 0.03 0.04
		blendfunc filter
		depthWrite
	}
}

//Lumpety floor that makes the metalsteps sound
textures/tm4_shallow/floor_metalBump
{
	qer_editorimage textures/tm4_shallow/floor_metalBump.tga
	surfaceparm metalsteps

	{
		map textures/tm4_shallow/floor_metalBump.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//Grid floor that makes the metalsteps sound
textures/tm4_shallow/metal_gridTrans
{
	qer_editorimage textures/tm4_shallow/metal_gridTrans.tga
	surfaceparm metalsteps
	surfaceparm trans
	cull none

	{
		map textures/tm4_shallow/metal_gridTrans.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthfunc equal
	}
}


//Goodness me, looks like a cheap hack of an id shader
textures/tm4_shallow/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

//Heaven forbid, not another cheap hack of an id shader
textures/tm4_shallow/ceil1_22a
{
	qer_editorimage textures/base_light/ceil1_22a.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_22a.blend.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

//Crivens and help m'boab, even more id shader hackery!
textures/tm4_shallow/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1600
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//Will this abuse of id shaders never end!
textures/tm4_shallow/ceil1_4
{
	qer_editorimage textures/base_light/ceil1_4.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.blend.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

// Erm, it's a light shader
textures/tm4_shallow/ceil1_37
{
	qer_editorimage textures/base_light/ceil1_37.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.blend.tga
		rgbGen wave sin .8 .2 .2 3
		blendfunc GL_ONE GL_ONE
	}
}

// Trans_ soil surface shader for detail ground segments
// It prevents lighting shittery
textures/tm4_shallow/ground_trans
{
	qer_editorimage textures/tm4_shallow/ground.tga
	surfaceparm trans

	{
		map textures/tm4_shallow/ground.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
}